package eu.osci;

/**
 * This class represents the constants class for error codes.<br>
 * Copyright © 2010 Freie Hansestadt Bremen. <br>
 * Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG. <br>
 * This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie
 * Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the
 * OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).
 * 
 * @author R. Lindemann
 */
public enum ErrorTextTranslation
{
  NO_ALIAS("noAlias"),
  NO_INPUTSTREAM("noInputStream"),
  ILLEGAL_FETCH_ITERATOR("illegalFetchIterator"),
  NO_SELECTION_PARAMETER("noSelectionPara"),
  OBJECT_NOT_INITIALIZED("objectNotInitialized"),
  OBJECT_ALREADY_SET("objectAlreadySet"),
  NO_SUCH_PORT("noSuchPort"),
  NO_SUCH_SERVICE("noSuchService"),
  NO_WSDL_FOUND("noWsdlFound");

  private String constant;

  public String getConstant()
  {
    return constant;
  }

  private ErrorTextTranslation(String resourceFileKey)
  {
    constant = resourceFileKey;
  }
}
